/*
** Indexes
*/

IF EXISTS (SELECT 1
           FROM   dbo.sysindexes
           WHERE  name = N'IX_Name'
           AND id = Object_id(N'yaf_Registry'))
DROP INDEX dbo.yaf_Registry.IX_Name 
GO

IF NOT EXISTS (SELECT 1
               FROM   dbo.sysindexes
               WHERE  name = N'IX_Name'
               AND id = Object_id(N'yaf_Registry'))
CREATE UNIQUE INDEX IX_Name ON dbo.yaf_Registry (
      BoardID,
      Name)
GO

IF NOT EXISTS (SELECT 1
               FROM   dbo.sysindexes
               WHERE  name = N'IX_yaf_PollVote_RemoteIP'
               AND id = Object_id(N'yaf_PollVote'))
CREATE INDEX [IX_yaf_PollVote_RemoteIP] ON [dbo].[yaf_PollVote] (
      [RemoteIP])
GO

IF NOT EXISTS (SELECT 1
               FROM   dbo.sysindexes
               WHERE  name = N'IX_yaf_PollVote_UserID'
               AND id = Object_id(N'yaf_PollVote'))
CREATE INDEX [IX_yaf_PollVote_UserID] ON [dbo].[yaf_PollVote] (
      [UserID])
GO

IF NOT EXISTS (SELECT 1
               FROM   dbo.sysindexes
               WHERE  name = N'IX_yaf_PollVote_PollID'
               AND id = Object_id(N'yaf_PollVote'))
CREATE INDEX [IX_yaf_PollVote_PollID] ON [dbo].[yaf_PollVote] (
      [PollID])
GO

