
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ScrewTurn.Wiki.PluginFramework;
using System.Text;

namespace ScrewTurn.Wiki {

	public partial class NavPath : BasePage {

		protected void Page_Load(object sender, EventArgs e) {
			Page.Title = Resources.Messages.NavPathTitle + " - " + Settings.WikiTitle;

			PrintNavPaths();
		}

		public void PrintNavPaths() {
			StringBuilder sb = new StringBuilder();
			sb.Append("<ul>");
			List<NavigationPath> paths = NavigationPaths.Instance.Paths;
			for(int i = 0; i < paths.Count; i++) {
				sb.Append(@"<li><a href=""./?Page=");
				sb.Append(Tools.UrlEncode(paths[i].Pages[0]));
				sb.Append("&amp;NavPath=");
				sb.Append(Tools.UrlEncode(paths[i].Name));
				sb.Append(@""">");
				sb.Append(paths[i].Name);
				sb.Append("</a></li>");
			}
			sb.Append("</ul>");

			lblNavPathList.Text = sb.ToString();
		}

	}

}
