<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Admin.aspx.cs" Inherits="ScrewTurn.Wiki.Admin" Title="Untitled Page" meta:resourcekey="PageResource2" MaintainScrollPositionOnPostback="true" Culture="auto" UICulture="auto" ValidateRequest="false" %>
<%@ Register TagPrefix="st" TagName="LogList" Src="~/LogList.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="hedAdmin" runat="server">
    <link rel="stylesheet" type="text/css" href="Themes/Admin.css" />
    <title runat="server">Administration</title>
    <link rel="shortcut icon" href="Images/Icon.ico" type="image/x-icon" />
</head>
<body>
<form runat="server" id="frmAdmin">
<div style="padding: 10px 20px 10px 20px; background-color: #FFFFFF;">
    <script type="text/javascript">
    <!-- 
        function __ToggleDatePick(event) {
            if(event == null) return false;
            var objDiv = document.getElementById("DatePickDiv");
            if(objDiv.style["display"] == "none") {
                var targetY = document.documentElement.scrollTop + event.clientY - 10;
			    var targetX = document.documentElement.scrollLeft + event.clientX - 10;
			    objDiv.style["position"] = "absolute";
			    objDiv.style["top"] = targetY + "px";
			    objDiv.style["left"] = targetX + "px";
                objDiv.style["display"] = "";
            }
            else {
                objDiv.style["display"] = "none";
            }
            return false;
        }
        
        function __SetDateFormat(format) {
            document.getElementById("txtDateTimeFormat").value = format;
            return false;
        }
        
        function __PasswordClientValidate(source, args) {
			var txtP1 = document.getElementById("txtPassword1").value
			var txtP2 = document.getElementById("txtPassword2").value
			var bValid = true;
				  
			if((txtP1.length > 0) && (txtP2.length > 0) ) {
			    bValid = txtP1 == txtP2;
			}
				  
            args.IsValid = bValid;
		}
				
    // -->
    </script>
    
    <asp:Literal ID="lblStrings" runat="server" meta:resourcekey="lblStringsResource1"></asp:Literal>

    <h1 class="admintitle">
        <a href="Admin.aspx" title="Refresh"><img src="Images/Refresh.png" alt="Refresh" /></a>
        <asp:Literal ID="lblAdminTitle" runat="server" meta:resourcekey="lblAdminTitleResource1" Text="Administration"></asp:Literal>
         - 
        <a href="Default.aspx"><asp:Literal ID="lblHomeLink" runat="server" Text="Wiki Home" meta:resourcekey="lblHomeLinkResource1"></asp:Literal> &raquo;</a>
    </h1>
    <asp:Label ID="lblBrowserSupport" runat="server" Visible="False" CssClass="resulterror" Text="Your Browser might present problems with this Page." meta:resourcekey="lblBrowserSupportResource1"></asp:Label>
    <br /> 
    
    <div id="TabDiv">
        <asp:Button ID="btnSelectAdminHome" runat="server" Text="Admin Home" OnClick="btnSelectAdminHome_Click" CssClass="tab" meta:resourcekey="btnSelectAdminHomeResource1" /> 
        <asp:Button ID="btnSelectUsersAdmins" runat="server" Text="Users/Admins" OnClick="btnSelectUsersAdmins_Click" meta:resourcekey="btnSelectUsersAdminsResource1" ToolTip="Select the User and Administrators tab" CssClass="tab" />
        <asp:Button ID="btnSelectPages" runat="server" Text="Pages/Backups" OnClick="btnSelectPages_Click" meta:resourcekey="btnSelectPagesResource1" ToolTip="Select the Pages and Backups tab" CssClass="tab" />
        <asp:Button ID="btnSelectCategories" runat="server" Text="Categories" ToolTip="Select the Categories tab" CssClass="tab" OnClick="btnSelectCategories_Click" meta:resourcekey="btnSelectCategoriesResource1" />
        <asp:Button ID="btnSelectSnippets" runat="server" Text="Snippets" ToolTip="Select the Snippets tab" CssClass="tab" OnClick="btnSelectSnippets_Click" meta:resourcekey="btnSelectSnippetsResource1" />
        <asp:Button ID="btnSelectNavPaths" runat="server" Text="Nav. Paths" ToolTip="Select the Navigation Paths tab" CssClass="tab" OnClick="btnSelectNavPaths_Click" meta:resourcekey="btnSelectNavPathsResource1" />
        <asp:Button ID="btnSelectFiles" runat="server" Text="File Editing" OnClick="btnSelectFiles_Click" meta:resourcekey="btnSelectFilesResource1" ToolTip="Select the File Editing tab" CssClass="tab" />
        <asp:Button ID="btnSelectLog" runat="server" Text="System Log" OnClick="btnSelectLog_Click" meta:resourcekey="btnSelectLogResource1" ToolTip="Select the System Log tab" CssClass="tab" />
        <asp:Button ID="btnSelectDisk" runat="server" Text="Disk Usage" OnClick="btnSelectDisk_Click" meta:resourcekey="btnSelectDiskResource1" ToolTip="Select the Disk Usage tab" CssClass="tab" />
        <asp:Button ID="btnSelectProviders" runat="server" Text="Providers" OnClick="btnSelectProviders_Click" ToolTip="Select the Providers tab" meta:resourcekey="btnSelectProvidersResource1" CssClass="tab" />
        <asp:Button ID="btnSelectConfig" runat="server" Text="Configuration" OnClick="btnSelectConfig_Click" meta:resourcekey="btnSelectConfigResource1" ToolTip="Select the Configuration tab" CssClass="tab" />
        <asp:Button ID="btnSelectDataBackup" runat="server" Text="Data Backup" OnClick="btnSelectDataBackup_Click" meta:resourcekey="btnSelectDataBackupResource1" ToolTip="Select the Data Backup tab" CssClass="tab" />
    </div>
    <asp:MultiView ID="mlvAdmin" runat="server" ActiveViewIndex="0">
        <asp:View ID="viwUsersAdmins" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblUsersAdmins" runat="server" meta:resourcekey="lblUsersAdminsResource1" Text="Users and Administrators"></asp:Literal></h2>
            <asp:MultiView ID="mlvUsers" runat="server" ActiveViewIndex="0">
                <asp:View ID="viwUsersList" runat="server">
                    <asp:CheckBox ID="chkViewUsers" runat="server" AutoPostBack="True" Checked="True" OnCheckedChanged="chkViewUsers_CheckedChanged" Text="View Users" ToolTip="Check this to include the Users in the list" meta:resourcekey="chkViewUsersResource1" />
                    <asp:CheckBox ID="chkViewAdmins" runat="server" AutoPostBack="True" Checked="True" OnCheckedChanged="chkViewAdmins_CheckedChanged" Text="View Administrators" ToolTip="Check this to include the Administrators in the list" meta:resourcekey="chkViewAdminsResource1" />
                    <asp:CheckBox ID="chkViewActive" runat="server" AutoPostBack="True" Checked="True" OnCheckedChanged="chkViewActive_CheckedChanged" Text="View Active Accounts" ToolTip="Check this to include Active Accounts in the list" meta:resourcekey="chkViewActiveResource1" />
                    <asp:CheckBox ID="chkViewInactive" runat="server" AutoPostBack="True" Checked="True" OnCheckedChanged="chkViewInactive_CheckedChanged" Text="View Inactive Accounts" ToolTip="Check this to include Inactive Accounts in the list" meta:resourcekey="chkViewInactiveResource1" />&nbsp;
                    <br /><br />
                    <asp:ListBox ID="lstUsers" runat="server" Width="700px" Height="250px" meta:resourcekey="lstUsersResource1" ToolTip="Users and Administrators"></asp:ListBox>
                    <br />
                    <asp:Button ID="btnDeleteUser" runat="server" Text="Delete" OnClick="btnDeleteUser_Click" meta:resourcekey="btnDeleteUserResource1" ToolTip="Delete the selected User or Administrator" />
                    <asp:Button ID="btnDeactivateUser" runat="server" Text="Deactivate" OnClick="btnDeactivateUser_Click" meta:resourcekey="btnDeactivateUserResource1" ToolTip="Deactivate the selected User or Administrator" />
                    <asp:Button ID="btnActivateUser" runat="server" Text="Activate" OnClick="btnActivateUser_Click" meta:resourcekey="btnActivateUserResource1" ToolTip="Activate the selected User or Administrator" />
                    <asp:Button ID="btnEditAccount" runat="server" Text="Edit Account" OnClick="btnEditAccount_Click" meta:resourcekey="btnEditAccountResource1" />
                    <asp:Button ID="btnCreateNewAccount" runat="server" Text="Create Account" OnClick="btnCreateNewAccount_Click" meta:resourcekey="btnCreateNewAccountResource1" />
                    <asp:Button ID="btnMassEmail" runat="server" Text="Mass Email" OnClick="btnMassEmail_Click" meta:resourcekey="btnMassEmailResource1" />
                    <asp:Label ID="lblUserResult" runat="server" meta:resourcekey="lblUserResultResource1"></asp:Label><br />
                    <asp:Button ID="btnPromoteUser" runat="server" Text="Promote to Admin" OnClick="btnPromoteUser_Click" meta:resourcekey="btnPromoteUserResource1" ToolTip="Promote the selected User to Administrator" />
                    <asp:Button ID="btnDowngradeUser" runat="server" Text="Downgrade to User" OnClick="btnDowngradeUser_Click" meta:resourcekey="btnDowngradeUserResource1" ToolTip="Downgrade the selected Administrator to User" />
                    <asp:Button ID="btnSendMessage" runat="server" Text="Send Message" ToolTip="Send a Message to the selected User" meta:resourcekey="btnSendMessageResource1" OnClick="btnSendMessage_Click" />
                </asp:View>
                <asp:View ID="viwNewAccount" runat="server">
                     <table width="600" cellpadding="0" cellspacing="4">
                        <tr>
                            <td><p style="text-align: right;"><asp:Literal ID="lblUserProvider" runat="server" Text="Create in" meta:resourcekey="lblUserProviderResource1"></asp:Literal></p></td>
                            <td>
                                <asp:DropDownList ID="lstUserProvider" runat="server" meta:resourcekey="lstUserProviderResource1"></asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 24px"><p style="text-align: right;"><asp:Literal ID="lblUsername" runat="server" Text="Username" meta:resourcekey="lblUsernameResource1"></asp:Literal>:</p></td>
                            <td style="height: 24px"><asp:TextBox ID="txtUsername" runat="server" Width="200px" meta:resourcekey="txtUsernameResource1" CausesValidation="True" ValidationGroup="viwNewAccount"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvUsername" runat="server" ControlToValidate="txtUsername" EnableTheming="False"
								    ValidationGroup="viwNewAccount" meta:resourcekey="rfvUsernameResource1"></asp:RequiredFieldValidator>
								<asp:RegularExpressionValidator ID="rxvUserName" runat="server" ControlToValidate="txtUsername" EnableTheming="False"
								    ValidationExpression="^(\w[\w\ !$%^\.\(\)]{3,25})$" ValidationGroup="viwNewAccount" meta:resourcekey="rxvUserNameResource1"></asp:RegularExpressionValidator>
								<asp:CustomValidator ID="cvUsername" runat="server" ControlToValidate="txtUsername" EnableClientScript="False" EnableTheming="False"
								    OnServerValidate="cvUsername_ServerValidate" ValidationGroup="viwNewAccount" meta:resourcekey="cvUsernameResource1"></asp:CustomValidator>
						    </td>
                        </tr>
                        <tr>
                            <td><p style="text-align: right;"><asp:Literal ID="lblEmail1" runat="server" Text="Email" meta:resourcekey="lblEmail1Resource1"></asp:Literal>:</p></td>
                            <td><asp:TextBox ID="txtEmail" runat="server" Width="200px" meta:resourcekey="txtEmailResource1" CausesValidation="True" ValidationGroup="viwNewAccount"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" EnableTheming="False" 
                                    ValidationGroup="viwNewAccount" meta:resourcekey="rfvEmailResource1"></asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="rxvEmail" runat="server" ControlToValidate="txtEmail" EnableTheming="False"
                                    ValidationExpression="^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})$"
									ValidationGroup="viwNewAccount" meta:resourcekey="rxvEmailResource1"></asp:RegularExpressionValidator>
						    </td>
                        </tr>
                        <tr>
                            <td><p style="text-align: right;"><asp:Literal ID="lblPassword1" runat="server" Text="Password" meta:resourcekey="lblPassword1Resource1"></asp:Literal>:</p></td>
                            <td><asp:TextBox ID="txtPassword1" runat="server" TextMode="Password" Width="200px" meta:resourcekey="txtPassword1Resource1" CausesValidation="True" ValidationGroup="viwNewAccount"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvPassword1" runat="server" ControlToValidate="txtPassword1" EnableTheming="False"
									ValidationGroup="viwNewAccount" meta:resourcekey="rfvPassword1Resource1"></asp:RequiredFieldValidator>
						        <asp:RegularExpressionValidator ID="rxvPassword1" runat="server" ControlToValidate="txtPassword1" EnableTheming="False"
						            ValidationExpression="^(\w{8,})$" ValidationGroup="viwNewAccount" meta:resourcekey="rxvPassword1Resource1"></asp:RegularExpressionValidator>
						        <asp:CustomValidator ID="cvPassword1" runat="server" ClientValidationFunction="__PasswordClientValidate" ControlToValidate="txtPassword1" EnableTheming="False"
						            OnServerValidate="cvPassword1_ServerValidate" ValidationGroup="viwNewAccount" meta:resourcekey="cvPassword1Resource1"></asp:CustomValidator>
						    </td>
                        </tr>
                        <tr>
                            <td><p style="text-align: right;"><asp:Literal ID="lblPassword2" runat="server" Text="Password (repeat)" meta:resourcekey="lblPassword2Resource1"></asp:Literal>:</p></td>
                            <td><asp:TextBox ID="txtPassword2" runat="server" TextMode="Password" Width="200px" meta:resourcekey="txtPassword2Resource1" CausesValidation="True" ValidationGroup="viwNewAccount"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvPassword2" runat="server" ControlToValidate="txtPassword2" EnableTheming="False"
									ValidationGroup="viwNewAccount" meta:resourcekey="rfvPassword2Resource1"></asp:RequiredFieldValidator>
							    <asp:CustomValidator ID="cvPassword2" runat="server" ClientValidationFunction="__PasswordClientValidate" ControlToValidate="txtPassword2"
									EnableTheming="False" OnServerValidate="cvPassword2_ServerValidate" ValidationGroup="viwNewAccount" meta:resourcekey="cvPassword2Resource1"></asp:CustomValidator>
							</td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td>
                                <asp:Literal ID="lblPasswordChange" runat="server" Text="Leave password fields blank to keep the old Password." Visible="False" meta:resourcekey="lblPasswordChangeResource1"></asp:Literal>
                                <asp:CheckBox ID="chkAdmin" runat="server" Text="Administrator" meta:resourcekey="chkAdminResource1" />
                            </td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td>
                                <asp:Button ID="btnModifyAccount" runat="server" Text="Save" Visible="False" OnClick="btnModifyAccount_Click" meta:resourcekey="btnModifyAccountResource1" />
                                <asp:Button ID="btnCreateAccount" runat="server" Text="Create Account" OnClick="btnCreateAccount_Click" meta:resourcekey="btnCreateAccountResource1" ValidationGroup="viwNewAccount" />
                                <asp:Button ID="btnCancelAccountCreation" runat="server" Text="Cancel" OnClick="btnCancelAccountCreation_Click" meta:resourcekey="btnCancelAccountCreationResource1" /><br />
								<asp:ValidationSummary ID="vsNewAccount" runat="server" ValidationGroup="viwNewAccount"
								    Width="100%" CssClass="resulterror" meta:resourcekey="vsNewAccountResource1" />
                                <asp:Label ID="lblCreateAccountResult" runat="server" meta:resourcekey="lblCreateAccountResultResource1"></asp:Label>
                            </td>
                        </tr>
                   </table>
                </asp:View>
                <asp:View ID="viwMassEmail" runat="server">
                    <asp:Literal ID="lblSendTo" runat="server" Text="Send Email to (active accounts):" meta:resourcekey="lblSendToResource1"></asp:Literal><br />
                    <asp:CheckBox ID="chkSendUsers" runat="server" Text="Users" Checked="True" meta:resourcekey="chkSendUsersResource1" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:CheckBox ID="chkSendAdministrator" runat="server" Text="Administrators" Checked="True" meta:resourcekey="chkSendAdministratorResource1" />
                    <br /><br />
                    <asp:Literal ID="lblSubject" runat="server" Text="Subject" meta:resourcekey="lblSubjectResource1"></asp:Literal><br />
                    <asp:TextBox ID="txtSubject" runat="server" Width="400px" meta:resourcekey="txtSubjectResource1"></asp:TextBox>
                    <br /><br />
                    <asp:TextBox ID="txtBody" runat="server" TextMode="MultiLine" Width="500px" Height="200px" meta:resourcekey="txtBodyResource1"></asp:TextBox>
                    <br /><br />
                    <asp:Button ID="btnBack" runat="server" Text="Back" Visible="False" OnClick="btnBack_Click" meta:resourcekey="btnBackResource1" />
                    <asp:Button ID="btnSendMassEmail" runat="server" Text="Send" style="font-weight: bold;" OnClick="btnSendMassEmail_Click" meta:resourcekey="btnSendMassEmailResource1" />
                    <asp:Button ID="btnCancelMassEmail" runat="server" Text="Cancel" OnClick="btnCancelMassEmail_Click" meta:resourcekey="btnCancelMassEmailResource1" />
                    <asp:Label ID="lblMassEmailResult" runat="server" meta:resourcekey="lblMassEmailResultResource1"></asp:Label>
                </asp:View>
            </asp:MultiView>
        </asp:View>
        <asp:View ID="viwPages" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblPages" runat="server" meta:resourcekey="lblPagesResource1" Text="Pages and Backups"></asp:Literal></h2>
            <asp:CheckBox ID="chkViewLocked" runat="server" AutoPostBack="True" OnCheckedChanged="chkViewLocked_CheckedChanged" Text="View Locked" ToolTip="Check this to include Locked Pages in the list" Checked="True" meta:resourcekey="chkViewLockedResource1" />
            <asp:CheckBox ID="chkViewNormal" runat="server" AutoPostBack="True" OnCheckedChanged="chkViewNormal_CheckedChanged" Text="View Normal" ToolTip="Check this to include Normal Pages in the list" Checked="True" meta:resourcekey="chkViewNormalResource1" />
            <asp:CheckBox ID="chkViewPublic" runat="server" AutoPostBack="True" OnCheckedChanged="chkViewPublic_CheckedChanged" Text="View Public" ToolTip="Check this to include Public Pages in the list" Checked="True" meta:resourcekey="chkViewPublicResource1" />&nbsp;
            <br /><br />
            <asp:ListBox ID="lstPages" runat="server" Width="400px" Height="250px" meta:resourcekey="lstPagesResource1" OnSelectedIndexChanged="lstPages_SelectedIndexChanged" AutoPostBack="True" ToolTip="Pages"></asp:ListBox>&nbsp;
            <asp:ListBox ID="lstPageBackups" runat="server" Height="250px" Width="350px" meta:resourcekey="lstPageBackupsResource1" ToolTip="Pages Backups"></asp:ListBox><br />
            <asp:Button ID="btnGoToPage" runat="server" Text="Go to" ToolTip="Go to the selected Page" Enabled="False" OnClick="btnGoToPage_Click" meta:resourcekey="btnGoToPageResource1" />
            <asp:Button ID="btnDeletePage" runat="server" Text="Delete" OnClick="btnDeletePage_Click" meta:resourcekey="btnDeletePageResource1" ToolTip="Delete the selected Page and its Backups" Enabled="False" />
            <asp:Button ID="btnClearPageDiscussion" runat="server" Text="Clear Disc." ToolTip="Clear the Page Discussion" Enabled="False" OnClick="btnClearPageDiscussion_Click" meta:resourcekey="btnClearPageDiscussionResource1" />
            
            <asp:Literal ID="lblPageStatus" runat="server" Text="Page Status" meta:resourcekey="lblPageStatusResource1"></asp:Literal>:
            <asp:DropDownList ID="lstPageStatus" runat="server" meta:resourcekey="lstPageStatusResource1" Enabled="False">
                <asp:ListItem Value="N" meta:resourcekey="ListItemResource5" Text="Normal"></asp:ListItem>
                <asp:ListItem Value="P" meta:resourcekey="ListItemResource6" Text="Public"></asp:ListItem>
                <asp:ListItem Value="L" meta:resourcekey="ListItemResource7" Text="Locked"></asp:ListItem>
            </asp:DropDownList>
            <asp:Button ID="btnSetPageStatus" runat="server" Text="Set Status" OnClick="btnSetPageStatus_Click" meta:resourcekey="btnSetPageStatusResource1" Enabled="False" />
            
            <asp:Button ID="btnDeleteAllBackups" runat="server" Text="Delete all Backups" OnClick="btnDeleteAllBackups_Click" Enabled="False" ToolTip="Delete the selected Page's Backups" meta:resourcekey="btnDeleteAllBackupsResource1" />
            <asp:Button ID="btnDeleteOlderBackups" runat="server" Text="Delete older Backups" Enabled="False" ToolTip="Delete old Backups, from the selected one" OnClick="btnDeleteOlderBackups_Click" meta:resourcekey="btnDeleteOlderBackupsResource1" />
            <asp:Button ID="btnRollback" runat="server" Text="Rollback" OnClick="btnRollback_Click" Enabled="False" meta:resourcekey="btnRollbackResource1" ToolTip="Rollback the selected Page to the selected Revision" /><br />
            <asp:Button ID="btnRenamePage" runat="server" Text="Rename To" OnClick="btnRenamePage_Click" meta:resourcekey="btnRenamePageResource1" ToolTip="Rename the selected Page" Enabled="False" />
            <asp:TextBox ID="txtPageName" runat="server" Width="300px" meta:resourcekey="txtPageNameResource1" ToolTip="Type here the new Page name"></asp:TextBox>
            <asp:Label ID="lblPageResult" runat="server" meta:resourcekey="lblPageResultResource1"></asp:Label><br />
        </asp:View>
        <asp:View ID="viwFiles" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblFileEditing" runat="server" meta:resourcekey="lblFileEditingResource1" Text="File Editing"></asp:Literal></h2>
            <p><asp:Literal ID="lblFileEditingDescription" runat="server" meta:resourcekey="lblFileEditingDescriptionResource1" Text="Here you can edit the content of the various Wiki files."></asp:Literal></p>
            <br />
            <asp:Literal ID="lblFileEditingContent" runat="server" meta:resourcekey="lblFileEditingContentResource1"></asp:Literal>
        </asp:View>
        <asp:View ID="viwLog" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblLog" runat="server" meta:resourcekey="lblLogResource1" Text="System Log"></asp:Literal></h2>
            <st:LogList ID="lstLog" runat="server" />
        </asp:View>
        <asp:View ID="viwDisk" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblDiskUsage" runat="server" meta:resourcekey="lblDiskUsageResource1" Text="Disk Usage"></asp:Literal></h2>
            <asp:Literal ID="lblDiskUsageResult" runat="server" meta:resourcekey="lblDiskUsageResultResource1"></asp:Literal>
            <asp:Button ID="btnComputeSpaceUsage" runat="server" Text="Compute" meta:resourcekey="btnComputeSpaceUsageResource1" OnClick="btnComputeSpaceUsage_Click" ToolTip="Compute the Disk space Usage" />
        </asp:View>
        <asp:View ID="viwConfig" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblConfig" runat="server" Text="Configuration" meta:resourcekey="lblConfigResource1"></asp:Literal></h2>
            <p>
                <asp:Literal ID="lblConfigInfo" runat="server" Text="Edit the Wiki Configuration and then click on the Save button." meta:resourcekey="lblConfigInfoResource1"></asp:Literal>
            </p>
            <br />
            <p><asp:Literal ID="lblGeneralOptions" runat="server" Text="&lt;b&gt;General Options&lt;/b&gt;" meta:resourcekey="lblGeneralOptionsResource1"></asp:Literal></p>
            <table cellpadding="0" cellspacing="4" style="width: 600px; border: solid 1px #555555; background-color: #F0F0F0;">
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblWikiTitle" runat="server" Text="Wiki Title" meta:resourcekey="lblWikiTitleResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtWikiTitle" runat="server" Width="300px" meta:resourcekey="txtWikiTitleResource1" ToolTip="Type here the Title of the Wiki" ValidationGroup="viwConfig" CausesValidation="True"></asp:TextBox>
					    <asp:RequiredFieldValidator ID="rfvWikiTitle" runat="server" ControlToValidate="txtWikiTitle" EnableTheming="False"
					        ValidationGroup="viwConfig" meta:resourcekey="rfvWikiTitleResource1"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator ID="rxvWikiTitle" runat="server" ControlToValidate="txtWikiTitle" EnableTheming="False" ValidationExpression=".+"
						    ValidationGroup="viwConfig" meta:resourcekey="rxvWikiTitleResource1"></asp:RegularExpressionValidator>
					</td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblMainUrl" runat="server" Text="Main URL" meta:resourcekey="lblMainUrlResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtMainUrl" runat="server" Width="300px" meta:resourcekey="txtMainUrlResource1" ToolTip="Type here the Main URL" ValidationGroup="viwConfig" CausesValidation="True"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvMainUrl" runat="server" ControlToValidate="txtMainUrl" EnableTheming="False"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvMainUrlResource1"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator ID="rxvMainUrl" runat="server" ControlToValidate="txtMainUrl" EnableTheming="False" ValidationExpression="^(\w[\w\ !$%^\.\(\)]{3,25})$"
							ValidationGroup="viwConfig" meta:resourcekey="rxvMainUrlResource1"></asp:RegularExpressionValidator>
					</td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblTheme" runat="server" Text="Theme" meta:resourcekey="lblThemeResource1"></asp:Literal></p></td> 
                    <td>
                        <asp:DropDownList ID="lstTheme" runat="server" meta:resourcekey="lstThemeResource1" ToolTip="Select the Theme to use">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblContactEmail" runat="server" Text="Contact Email" meta:resourcekey="lblContactEmailResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtContactEmail" runat="server" Width="300px" meta:resourcekey="txtContactEmailResource1" ToolTip="Type here the Contact Email Address" ValidationGroup="viwConfig" CausesValidation="True"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvContactEmail" runat="server" ControlToValidate="txtContactEmail"
							EnableTheming="False" ValidationGroup="viwConfig" meta:resourcekey="rfvContactEmailResource1"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator ID="rxvContactEmail" runat="server" ControlToValidate="txtContactEmail" EnableTheming="False"
						    ValidationExpression="^(\w[\w\ !$%^\.\(\)]{3,25})$" ValidationGroup="viwConfig" meta:resourcekey="rxvContactEmailResource1"></asp:RegularExpressionValidator>
					</td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblSenderEmail" runat="server" Text="Sender Email" meta:resourcekey="lblSenderEmailResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtSenderEmail" runat="server" Width="300px" meta:resourcekey="txtSenderEmailResource1" ToolTip="Type here the Sender Email Address" ValidationGroup="viwConfig" CausesValidation="True"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvSenderEmail" runat="server" ControlToValidate="txtSenderEmail" EnableTheming="False"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvSenderEmailResource1"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator ID="rxvSenderEmail" runat="server" ControlToValidate="txtSenderEmail" EnableTheming="False"
						    ValidationExpression="^(\w[\w\ !$%^\.\(\)]{3,25})$" ValidationGroup="viwConfig" meta:resourcekey="rxvSenderEmailResource1"></asp:RegularExpressionValidator>
					</td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblSmtpServer" runat="server" Text="SMTP Server" meta:resourcekey="lblSmtpServerResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtSmtpServer" runat="server" Width="300px" meta:resourcekey="txtSmtpServerResource1" ToolTip="Type here the SMTP Server" ValidationGroup="viwConfig" CausesValidation="True"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvSmtpServer" runat="server" ControlToValidate="txtSmtpServer" EnableTheming="False"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvSmtpServerResource1"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator ID="rxvSmtpServer" runat="server" ControlToValidate="txtSmtpServer" EnableTheming="False"
						    ValidationGroup="viwConfig" meta:resourcekey="rxvSmtpServerResource1"></asp:RegularExpressionValidator>
				    </td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblSmtpServerAuth" runat="server" Text="SMTP User/Password/Port" meta:resourcekey="lblSmtpServerAuthResource1"></asp:Literal></p></td>
                    <td>
                        <asp:TextBox ID="txtSmtpUsername" runat="server" Width="105px" meta:resourcekey="txtSmtpUsernameResource1"></asp:TextBox>
                        <asp:TextBox ID="txtSmtpPassword" runat="server" Width="105px" TextMode="Password" meta:resourcekey="txtSmtpPasswordResource1"></asp:TextBox>
                        <asp:TextBox ID="txtSmtpPort" runat="server" Width="65px" meta:resourcekey="txtSmtpPortResource1"></asp:TextBox>
                        <asp:CustomValidator ID="cvSmtpAuth" runat="server" ValidationGroup="viwConfig" EnableTheming="False"
                            OnServerValidate="cvSmtpAuth_ServerValidate" meta:resourcekey="cvSmtpAuthResource1"></asp:CustomValidator>
                        <asp:RangeValidator ID="rvSmtpPort" runat="server" ValidationGroup="viwConfig" ControlToValidate="txtSmtpPort" EnableTheming="False"
                            Type="Integer" MinimumValue="1" MaximumValue="65535" meta:resourcekey="rvSmtpPortResource1"></asp:RangeValidator>
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkSmtpSsl" runat="server" Text="Enable SSL for the SMTP Server" meta:resourcekey="chkSmtpSslResource1" /></td>
                </tr> 
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblDefaultPage" runat="server" Text="Default Page" meta:resourcekey="lblDefaultPageResource1"></asp:Literal></p></td> 
                    <td>
                        <asp:DropDownList ID="lstDefaultPage" runat="server" meta:resourcekey="lstDefaultPageResource1" ToolTip="Select the default Page">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkEnableDoubleClickEditing" runat="server" Text="Enable Double-Click Page Editing" ToolTip="Check this to enable Double-Click Page Editing" meta:resourcekey="chkEnableDoubleClickEditingResource1" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkDisableBreadcrumbsTrail" runat="server" Text="Disable Breadcrumbs Trail" ToolTip="Check this to disable the Breadcrumbs Trail in Pages" meta:resourcekey="chkDisableBreadcrumbsTrailResource1" /></td>
                </tr>
                <!-- KeptBackupNumber was here -->
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblDateTimeFormat" runat="server" Text="Date/Time Format" meta:resourcekey="lblDateTimeFormatResource1"></asp:Literal></p></td> 
                    <td>
                        <asp:TextBox ID="txtDateTimeFormat" runat="server" Width="300px" meta:resourcekey="txtDateTimeFormatResource1" ToolTip="Type here the Date/Time Format"></asp:TextBox>
                        <a href="#" onclick="javascript:return __ToggleDatePick(event);"><img src="Images/DatePick.png" alt="DatePick" /></a>
                        <div id="DatePickDiv" style="display: none;">
                            <asp:Literal ID="lblDateTimeFormatsContent" runat="server" meta:resourcekey="lblDateTimeFormatsContentResource1"></asp:Literal>
                            <script type="text/javascript">
                            <!-- 
                                document.body.onmouseup = function() {
                                    document.getElementById("DatePickDiv").style["display"] = "none";
                                };
                            // -->
                            </script> 
                        </div>
                        <asp:RequiredFieldValidator ID="rfvDateTimeFormat" runat="server" ControlToValidate="txtDateTimeFormat" EnableTheming="False"
                            ValidationGroup="viwConfig" meta:resourcekey="rfvDateTimeFormatResource1"></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvDateTimeFormat" runat="server" ControlToValidate="txtDateTimeFormat" EnableTheming="False"
                            ValidationGroup="viwConfig" OnServerValidate="cvDateTimeFormat_ServerValidate" EnableClientScript="False" meta:resourcekey="cvDateTimeFormatResource1"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblDefaultLanguage" runat="server" Text="Default Language" meta:resourcekey="lblDefaultLanguageResource1"></asp:Literal></p></td> 
                    <td>
                        <asp:DropDownList ID="lstDefaultLanguage" runat="server" ToolTip="Select the default Language" meta:resourcekey="lstDefaultLanguageResource1">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblDefaultTimezone" runat="server" Text="Default Time Zone" meta:resourcekey="lblDefaultTimezoneResource1"></asp:Literal></p></td>
                    <td>
                        <asp:DropDownList ID="lstDefaultTimezone" runat="server" meta:resourcekey="lstDefaultTimezoneResource1">
                            <asp:ListItem Value="-720" Text="(GMT-12:00) International Date Line West" meta:resourcekey="ListItemResource8"></asp:ListItem>
                            <asp:ListItem Value="-660" Text="(GMT-11:00) Midway Island, Samoa" meta:resourcekey="ListItemResource9"></asp:ListItem>
                            <asp:ListItem Value="-600" Text="(GMT-10:00) Hawaii" meta:resourcekey="ListItemResource10"></asp:ListItem>
                            <asp:ListItem Value="-540" Text="(GMT-09:00) Alaska" meta:resourcekey="ListItemResource11"></asp:ListItem>
                            <asp:ListItem Value="-480" Text="(GMT-08:00) Pacific" meta:resourcekey="ListItemResource12"></asp:ListItem>
                            <asp:ListItem Value="-420" Text="(GMT-07:00) Mountain" meta:resourcekey="ListItemResource13"></asp:ListItem>
                            <asp:ListItem Value="-360" Text="(GMT-06:00) Central" meta:resourcekey="ListItemResource14"></asp:ListItem>
                            <asp:ListItem Value="-300" Text="(GMT-05:00) Eastern" meta:resourcekey="ListItemResource15"></asp:ListItem>
                            <asp:ListItem Value="-240" Text="(GMT-04:00) Atlantic" meta:resourcekey="ListItemResource16"></asp:ListItem>
                            <asp:ListItem Value="-210" Text="(GMT-03:30) Newfoundland" meta:resourcekey="ListItemResource17"></asp:ListItem>
                            <asp:ListItem Value="-180" Text="(GMT-03:00) Greenland" meta:resourcekey="ListItemResource18"></asp:ListItem>
                            <asp:ListItem Value="-120" Text="(GMT-02:00) Mid-Atlantic" meta:resourcekey="ListItemResource19"></asp:ListItem>
                            <asp:ListItem Value="-60" Text="(GMT-01:00) Azores" meta:resourcekey="ListItemResource20"></asp:ListItem>
                            <asp:ListItem Value="0" Text="(GMT) Greenwich" meta:resourcekey="ListItemResource21"></asp:ListItem>
                            <asp:ListItem Value="60" Text="(GMT+01:00) Central European" meta:resourcekey="ListItemResource22"></asp:ListItem>
                            <asp:ListItem Value="120" Text="(GMT+02:00) Eastern European" meta:resourcekey="ListItemResource23"></asp:ListItem>
                            <asp:ListItem Value="180" Text="(GMT+03:00) Moscow, Baghdad" meta:resourcekey="ListItemResource24"></asp:ListItem>
                            <asp:ListItem Value="210" Text="(GMT+03:30) Iran" meta:resourcekey="ListItemResource25"></asp:ListItem>
                            <asp:ListItem Value="240" Text="(GMT+04:00) Abu Dhabi, Dubai" meta:resourcekey="ListItemResource26"></asp:ListItem>
                            <asp:ListItem Value="270" Text="(GMT+04:30) Kabul" meta:resourcekey="ListItemResource27"></asp:ListItem>
                            <asp:ListItem Value="300" Text="(GMT+05:00) Islamabad, Karachi" meta:resourcekey="ListItemResource28"></asp:ListItem>
                            <asp:ListItem Value="330" Text="(GMT+05:30) India" meta:resourcekey="ListItemResource29"></asp:ListItem>
                            <asp:ListItem Value="345" Text="(GMT+05:45) Kathmandu" meta:resourcekey="ListItemResource30"></asp:ListItem>
                            <asp:ListItem Value="360" Text="(GMT+06:00) Astana, Dhaka" meta:resourcekey="ListItemResource31"></asp:ListItem>
                            <asp:ListItem Value="390" Text="(GMT+06:30) Rangoon" meta:resourcekey="ListItemResource32"></asp:ListItem>
                            <asp:ListItem Value="420" Text="(GMT+07:00) Bangkok, Jakarta" meta:resourcekey="ListItemResource33"></asp:ListItem>
                            <asp:ListItem Value="480" Text="(GMT+08:00) China Coast, Western Australia" meta:resourcekey="ListItemResource34"></asp:ListItem>
                            <asp:ListItem Value="540" Text="(GMT+09:00) Japan, Korea" meta:resourcekey="ListItemResource35"></asp:ListItem>
                            <asp:ListItem Value="570" Text="(GMT+09:30) Central Australia" meta:resourcekey="ListItemResource36"></asp:ListItem>
                            <asp:ListItem Value="600" Text="(GMT+10:00) Eastern Australia" meta:resourcekey="ListItemResource37"></asp:ListItem>
                            <asp:ListItem Value="660" Text="(GMT+11:00) Magadan, Solomon Is." meta:resourcekey="ListItemResource38"></asp:ListItem>
                            <asp:ListItem Value="720" Text="(GMT+12:00) New Zealand, Fiji" meta:resourcekey="ListItemResource39"></asp:ListItem>
                            <asp:ListItem Value="765" Text="(GMT+12:45) Chatham Island NZ" meta:resourcekey="ListItemResource40"></asp:ListItem>
                            <asp:ListItem Value="780" Text="(GMT+13:00) Tonga, Phoenix Islands" meta:resourcekey="ListItemResource41"></asp:ListItem>
                            <asp:ListItem Value="840" Text="(GMT+14:00) Christmas Islands" meta:resourcekey="ListItemResource42"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
            </table>
            <br />
            <p><asp:Literal ID="lblSecurityOptions" runat="server" Text="&lt;b&gt;Security Options&lt;/b&gt;" meta:resourcekey="lblSecurityOptionsResource1"></asp:Literal></p>
            <table cellpadding="0" cellspacing="4" style="width: 600px; border: solid 1px #000099; background-color: #CCDDEE;">
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkUsersCanRegister" runat="server" Text="Allow Users to register" meta:resourcekey="chkUsersCanRegisterResource1" ToolTip="Check this to allow Users to register" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblAccountActivationMode" runat="server" Text="Account Activation Mode" meta:resourcekey="lblAccountActivationModeResource1"></asp:Literal></p></td>
                    <td>
                        <asp:DropDownList ID="lstAccountActivationMode" runat="server" meta:resourcekey="lstAccountActivationModeResource1">
                            <asp:ListItem Value="EMAIL" Text="User must activate via Email" meta:resourcekey="ListItemResource43"></asp:ListItem>
                            <asp:ListItem Value="ADMIN" Text="New Account must be activated by Admins" meta:resourcekey="ListItemResource44"></asp:ListItem>
                            <asp:ListItem Value="AUTO" Text="New Accounts are activated by default" meta:resourcekey="ListItemResource45"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr> 
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkDisableCaptchaControl" runat="server" Text="Disable Captcha control" ToolTip="Check this to disable Captcha control" meta:resourcekey="chkDisableCaptchaControlResource1" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblDiscussionPermissions" runat="server" Text="Discussion Permissions" meta:resourcekey="lblDiscussionPermissionsResource1"></asp:Literal></p></td>
                    <td>
                        <asp:DropDownList ID="lstDiscussionPermissions" runat="server" ToolTip="How Users can post messages in Page Discussions" meta:resourcekey="lstDiscussionPermissionsResource1">
                            <asp:ListItem Text="Same as owner Page (default)" Value="PAGE" meta:resourcekey="ListItemResource46"></asp:ListItem>
                            <asp:ListItem Text="Public - Everyone can post" Value="PUBLIC" meta:resourcekey="ListItemResource47"></asp:ListItem>
                            <asp:ListItem Text="Locked - Only Admins can post" Value="LOCKED" meta:resourcekey="ListItemResource48"></asp:ListItem>
                            <asp:ListItem Text="Normal - Registered Users can post" Value="NORMAL" meta:resourcekey="ListItemResource49"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkUsersCanCreateNewPages" runat="server" Text="Allow Users to create new Pages" meta:resourcekey="chkUsersCanCreateNewPagesResource1" ToolTip="Check this to allow Users to create new Pages" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkUsersCanCreateNewCategories" runat="server" Text="Allow Users to create new Categories" ToolTip="Check this to allow Users to create new Categories" meta:resourcekey="chkUsersCanCreateNewCategoriesResource1" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkUsersCanManagePageCategories" runat="server" Text="Allow Users to manage Page Categories" ToolTip="Check this to allow Users to manage Page Categories" meta:resourcekey="chkUsersCanManagePageCategoriesResource1" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkUsersCanViewFiles" runat="server" Text="Allow Users to view uploaded Files" ToolTip="Check this to allow Users to view uploaded Files" AutoPostBack="True" OnCheckedChanged="chkUsersCanViewFiles_CheckedChanged" meta:resourcekey="chkUsersCanViewFilesResource1" /></td>
                </tr>  
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkUsersCanUploadFiles" runat="server" Text="Allow Users to upload Files" meta:resourcekey="chkUsersCanUploadFilesResource1" ToolTip="Check this to allow Users to upload Files" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkUsersCanDeleteFiles" runat="server" Text="Allow Users to delete Files" ToolTip="Check this to allow Users to delete Files" meta:resourcekey="chkUsersCanDeleteFilesResource1" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkPrivateAccess" runat="server" Text="Private access" ToolTip="Check this to make the Wiki Private" AutoPostBack="True" OnCheckedChanged="chkPrivateAccess_CheckedChanged" meta:resourcekey="chkPrivateAccessResource1" /></td>
                </tr>  
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkPublicAccess" runat="server" Text="Public access" meta:resourcekey="chkPublicAccessResource1" ToolTip="Check this to make the Wiki Public" AutoPostBack="True" OnCheckedChanged="chkPublicAccess_CheckedChanged" /></td>
                </tr> 
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkFileManagementInPublicAccessAllowed" runat="server" Text="Allow anonymous file management in Public Access mode" ToolTip="Check this to allow anonymous file management in Public Access mode" meta:resourcekey="chkFileManagementInPublicAccessAllowedResource1" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkDisableConcurrentEditing" runat="server" Text="Disable concurrent Page editing" ToolTip="Check this if you want to disable to save a Page if it is being edited by more than one User" meta:resourcekey="chkDisableConcurrentEditingResource1" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblallowedFileTypes" runat="server" Text="Allowed File types (CSV)" meta:resourcekey="lblallowedFileTypesResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtAllowedFileTypes" runat="server" Width="300px" meta:resourcekey="txtAllowedFileTypesResource1" ToolTip="Type here the allowed file types for upload (separate values with commas)"></asp:TextBox></td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkScriptTagsAllowed" runat="server" Text="Allow Script tags" meta:resourcekey="chkScriptTagsAllowedResource1" ToolTip="Check this to allow Scripts in Pages (unrecommended)" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblLoggingLevel" runat="server" Text="Logging Level" meta:resourcekey="lblLoggingLevelResource1"></asp:Literal></p></td> 
                    <td>
                        <asp:DropDownList ID="lstLoggingLevel" runat="server" meta:resourcekey="lstLoggingLevelResource1" ToolTip="Select the Logging Level">
                            <asp:ListItem Value="3" meta:resourcekey="ListItemResource1" Text="All Messages"></asp:ListItem>
                            <asp:ListItem Value="2" meta:resourcekey="ListItemResource2" Text="Errors and Warnings"></asp:ListItem>
                            <asp:ListItem Value="1" meta:resourcekey="ListItemResource3" Text="Errors"></asp:ListItem>
                            <asp:ListItem Value="0" meta:resourcekey="ListItemResource4" Text="Nothing"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblMaxLogSize" runat="server" Text="Max Log file size (KB)" meta:resourcekey="lblMaxLogSizeResource1"></asp:Literal></p></td>
                    <td><asp:TextBox ID="txtMaxLogSize" runat="server" Width="100px" meta:resourcekey="txtMaxLogSizeResource1"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvMaxLogSize" runat="server" ControlToValidate="txtMaxLogSize" ValidationGroup="viwConfig" meta:resourcekey="rfvMaxLogSizeResource1"></asp:RequiredFieldValidator>
                        <asp:RangeValidator ID="rvMaxLogSize" runat="server" ControlToValidate="txtMaxLogSize" ValidationGroup="viwConfig"
                            Type="Integer" MaximumValue="10240" MinimumValue="8" meta:resourcekey="rvMaxLogSizeResource1"></asp:RangeValidator>
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkConfigVisibleToAdmins" runat="server" Text="Allow Administrators to access Config Page" meta:resourcekey="chkConfigVisibleToAdminsResource1" ToolTip="Check this to allow Administrators to access the Config page (this one)" /></td>
                </tr> 
            </table>
            <br />
            <p>
                <asp:Literal ID="lblAdvancedOptions" runat="server" Text="&lt;b&gt;Advanced Options&lt;/b&gt; (edit carefully)" meta:resourcekey="lblAdvancedOptionsResource1"></asp:Literal>
            </p>
            <table cellpadding="0" cellspacing="4" style="width: 600px; border: solid 1px #FF0000; background-color: #FEF693;">
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkDisableAutomaticVersionCheck" runat="server" Text="Disable Automatic Version Check" ToolTip="Check this to disable the automatic Version Check in the Admin Home" meta:resourcekey="chkDisableAutomaticVersionCheckResource1" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblMaxFileSize" runat="server" Text="Max File Size (KB)" meta:resourcekey="lblMaxFileSizeResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtMaxFileSize" runat="server" Width="100px" meta:resourcekey="txtMaxFileSizeResource1" ToolTip="Type here the Max file size for upload (measured in KB)" CausesValidation="True" ValidationGroup="viwConfig"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvMaxFileSize" runat="server" ControlToValidate="txtMaxFileSize"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvMaxFileSizeResource1"></asp:RequiredFieldValidator>
						<asp:RangeValidator ID="rvMaxFileSize" runat="server" ControlToValidate="txtMaxFileSize"
						    MaximumValue="20480" MinimumValue="0" Type="Integer" ValidationGroup="viwConfig" meta:resourcekey="rvMaxFileSizeResource1"></asp:RangeValidator>
					</td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><asp:CheckBox ID="chkDisableCache" runat="server" Text="Disable Cache" AutoPostBack="True" OnCheckedChanged="chkDisableCache_CheckedChanged" meta:resourcekey="chkDisableCacheResource1" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblCacheSize" runat="server" Text="Cache size" meta:resourcekey="lblCacheSizeResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtCacheSize" runat="server" Width="100px" meta:resourcekey="txtCacheSizeResource1" ToolTip="Type here the Cache size" ValidationGroup="viwConfig"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvCacheSize" runat="server" ControlToValidate="txtCacheSize" EnableTheming="True"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvCacheSizeResource1"></asp:RequiredFieldValidator>
						<asp:RangeValidator ID="rvCacheSize" runat="server" ControlToValidate="txtCacheSize"
						    MaximumValue="10240" MinimumValue="0" Type="Integer" ValidationGroup="viwConfig" meta:resourcekey="rvCacheSizeResource1"></asp:RangeValidator>
					</td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblCacheCutSize" runat="server" Text="Cache Cut size" meta:resourcekey="lblCacheCutSizeResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtCacheCutSize" runat="server" Width="100px" meta:resourcekey="txtCacheCutSizeResource1" ToolTip="Type here the Cache Cut size" ValidationGroup="viwConfig"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvCacheCutSize" runat="server" ControlToValidate="txtCacheCutSize"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvCacheCutSizeResource1"></asp:RequiredFieldValidator>
						<asp:RangeValidator ID="rvCacheCutSize" runat="server" ControlToValidate="txtCacheCutSize"
						    MaximumValue="10240" MinimumValue="0" Type="Integer" ValidationGroup="viwConfig" meta:resourcekey="rvCacheCutSizeResource1"></asp:RangeValidator>
						<asp:CompareValidator ID="cmpvCacheCutSize" runat="server" ControlToCompare="txtCacheSize" ControlToValidate="txtCacheCutSize"
						    Operator="LessThan" ValidationGroup="viwConfig" Type="Integer" meta:resourcekey="cmpvCacheCutSizeResource1"></asp:CompareValidator>
				    </td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblFileAccessTries" runat="server" Text="File Access tries" meta:resourcekey="lblFileAccessTriesResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtFileAccessTries" runat="server" Width="100px" meta:resourcekey="txtFileAccessTriesResource1" ToolTip="Type here the File Access tries number" ValidationGroup="viwConfig"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvFileAccessTries" runat="server" ControlToValidate="txtFileAccessTries"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvFileAccessTriesResource1"></asp:RequiredFieldValidator>
						<asp:RangeValidator ID="rvFileAccessTries" runat="server" ControlToValidate="txtFileAccessTries"
						    MaximumValue="99" MinimumValue="1" Type="Integer" ValidationGroup="viwConfig" meta:resourcekey="rvFileAccessTriesResource1"></asp:RangeValidator>
					</td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblFileAccessTryDelay" runat="server" Text="File Access try Delay (ms)" meta:resourcekey="lblFileAccessTryDelayResource1"></asp:Literal></p></td> 
                    <td><asp:TextBox ID="txtFileAccessTryDelay" runat="server" Width="100px" meta:resourcekey="txtFileAccessTryDelayResource1" ToolTip="Type here the File Access try Delay (milliseconds)" ValidationGroup="viwConfig"></asp:TextBox>
						<asp:RequiredFieldValidator ID="rfvFileAccessTryDelay" runat="server" ControlToValidate="txtFileAccessTryDelay"
						    ValidationGroup="viwConfig" meta:resourcekey="rfvFileAccessTryDelayResource1"></asp:RequiredFieldValidator>
						<asp:RangeValidator ID="rvFileAccessTryDelay" runat="server" ControlToValidate="txtFileAccessTryDelay"
						    MaximumValue="500" MinimumValue="1" Type="Integer" ValidationGroup="viwConfig" meta:resourcekey="rvFileAccessTryDelayResource1"></asp:RangeValidator>
					</td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkEnableViewStateCompression" runat="server" Text="Enable ViewState Compression" meta:resourcekey="chkEnableViewStateCompressionResource1" ToolTip="Check this to enable ViewState Compression" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td> 
                    <td><asp:CheckBox ID="chkEnableHttpCompression" runat="server" Text="Enable HTTP Compression" meta:resourcekey="chkEnableHttpCompressionResource1" ToolTip="Check this to enable HTTP Compression" /></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblUsernameRegex" runat="server" Text="Username validation Regex" meta:resourcekey="lblUsernameRegexResource1"></asp:Literal></p></td>
                    <td><asp:TextBox ID="txtUsernameRegex" runat="server" Width="250px" meta:resourcekey="txtUsernameRegexResource1"></asp:TextBox></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;"><asp:Literal ID="lblPasswordRegex" runat="server" Text="Password validation Regex" meta:resourcekey="lblPasswordRegexResource1"></asp:Literal></p></td>
                    <td><asp:TextBox ID="txtPasswordRegex" runat="server" Width="250px" meta:resourcekey="txtPasswordRegexResource1"></asp:TextBox></td>
                </tr>
            </table>
            <br />
            <p>
                <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" style="font-weight: bold;" meta:resourcekey="btnSaveResource1" ToolTip="Click here to save the changes" ValidationGroup="viwConfig" />
                <asp:Button ID="btnCancel" runat="server" Text="Cancel" OnClick="btnCancel_Click" meta:resourcekey="btnCancelResource1" ToolTip="Click here to cancel the changes" CausesValidation="False" ValidationGroup="vixConfig" />
                <asp:Label ID="lblConfigResult" runat="server" meta:resourcekey="lblConfigResultResource1"></asp:Label>
            </p>
			<p><asp:ValidationSummary ID="vsConfig" runat="server" ValidationGroup="viwConfig" Width="100%" CssClass="resulterror" meta:resourcekey="vsConfigResource1" /></p>
        </asp:View>
        <asp:View ID="viwBackup" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblDataBackup" runat="server" Text="Data Backup" meta:resourcekey="lblDataBackupResource1"></asp:Literal></h2>
            <p><asp:Literal ID="lblDataBackupInfo" runat="server" Text="To download a full backup of all the Wiki data, click on the button below.&lt;br /&gt;&lt;b&gt;Note&lt;/b&gt;: the operation may take a while." meta:resourcekey="lblDataBackupInfoResource1"></asp:Literal></p>
            <br />
            <asp:Button ID="btnDownloadBackup" runat="server" Text="Download" style="font-weight: bold;" meta:resourcekey="btnDownloadBackupResource1" OnClick="btnDownloadBackup_Click" />
            <asp:Button ID="btnClearTemp" runat="server" Text="Clear Temp Directory" meta:resourcekey="btnClearTempResource1" OnClick="btnClearTemp_Click" ToolTip="Delete all the files contained in the Temp directory" />
        </asp:View>
        <asp:View ID="viwSnippets" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblSnippets" runat="server" Text="Code Snippets" meta:resourcekey="lblSnippetsResource1"></asp:Literal></h2>
            <p><asp:Literal ID="lblSnippetsDescription" runat="server" Text="Here you can manage the Code Snippets of this Wiki." meta:resourcekey="lblSnippetsDescriptionResource1"></asp:Literal></p>
            <br />
            <asp:MultiView ID="mlvSnippets" runat="server" ActiveViewIndex="0">
                <asp:View ID="viwSnippetsList" runat="server">
                    <asp:ListBox ID="lstSnippets" runat="server" Height="200px" Width="500px" meta:resourcekey="lstSnippetsResource1"></asp:ListBox>
                    <br />
                    <asp:Button ID="btnDeleteSnippet" runat="server" Text="Delete" OnClick="btnDeleteSnippet_Click" meta:resourcekey="btnDeleteSnippetResource1" />
                    <asp:Button ID="btnEditSnippet" runat="server" Text="Edit" OnClick="btnEditSnippet_Click" meta:resourcekey="btnEditSnippetResource1" />
                    <asp:Button ID="btnNewSnippet" runat="server" Text="New" OnClick="btnNewSnippet_Click" meta:resourcekey="btnNewSnippetResource1" />
                    <asp:Label ID="lblSnippetResult" runat="server" meta:resourcekey="lblSnippetResultResource1"></asp:Label>
                </asp:View>
                <asp:View ID="viwSnippetEdit" runat="server">
                     <p><asp:Literal ID="lblSnippetName" runat="server" Text="Snippet Name" meta:resourcekey="lblSnippetNameResource1"></asp:Literal> 
                     <asp:TextBox ID="txtSnippetName" runat="server" Width="250px" meta:resourcekey="txtSnippetNameResource1"></asp:TextBox></p>
                     <p><asp:Literal ID="lblSnippetProvider" runat="server" Text="Create in" meta:resourcekey="lblSnippetProviderResource1"></asp:Literal>
                     <asp:DropDownList ID="lstSnippetProvider" runat="server" meta:resourcekey="lstSnippetProviderResource1"></asp:DropDownList></p>
                     <asp:TextBox ID="txtSnippetContent" runat="server" Height="200px" TextMode="MultiLine" Width="500px" meta:resourcekey="txtSnippetContentResource1"></asp:TextBox><br />
                     <asp:Button ID="btnSaveSnippet" runat="server" Text="Save Snippet" OnClick="btnSaveSnippet_Click" meta:resourcekey="btnSaveSnippetResource1" />
                     <asp:Button ID="btnCancelSnippet" runat="server" Text="Cancel" OnClick="btnCancelSnippet_Click" meta:resourcekey="btnCancelSnippetResource1" />
                     <asp:Label ID="lblSaveSnippetResult" runat="server" meta:resourcekey="lblSaveSnippetResultResource1"></asp:Label>
                </asp:View> 
            </asp:MultiView>
        </asp:View>
        <asp:View ID="viwCategories" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblCategories" runat="server" Text="Categories" meta:resourcekey="lblCategoriesResource1"></asp:Literal></h2>
            <p><asp:Literal ID="lblCategoriesDescription" runat="server" Text="Here you can manage the Categories of this Wiki." meta:resourcekey="lblCategoriesDescriptionResource1"></asp:Literal></p>
            <br />
            <asp:ListBox ID="lstCategories" runat="server" Height="200px" Width="500px" meta:resourcekey="lstCategoriesResource1" AutoPostBack="True" OnSelectedIndexChanged="lstCategories_SelectedIndexChanged"></asp:ListBox><br />
            <asp:Button ID="btnDeleteCategory" runat="server" Text="Delete" OnClick="btnDeleteCategory_Click" meta:resourcekey="btnDeleteCategoryResource1" />
            <asp:Label ID="lblCategoryResult" runat="server" meta:resourcekey="lblCategoryResultResource1"></asp:Label><br />
            <asp:Button ID="btnRenameCategory" runat="server" Text="Rename to" OnClick="btnRenameCategory_Click" meta:resourcekey="btnRenameCategoryResource1" />
            <asp:TextBox ID="txtCategoryName" runat="server" Width="250px" meta:resourcekey="txtCategoryNameResource1"></asp:TextBox>
            <asp:Literal ID="lblOr" runat="server" Text="or" meta:resourcekey="lblOnResource1"></asp:Literal>
            <asp:Button ID="btnNewCategory" runat="server" Text="Create New" OnClick="btnNewCategory_Click" meta:resourcekey="btnNewCategoryResource1" />
            <asp:Literal ID="lblIn" runat="server" Text="in" meta:resourcekey="lblInResource1"></asp:Literal>
            <asp:DropDownList ID="lstCategoryProvider" runat="server" meta:resourcekey="lstCategoryProviderResource1"></asp:DropDownList>
            <br />
            <asp:Button ID="btnMergeCategory" runat="server" Text="Merge with" OnClick="btnMergeCategory_Click" meta:resourcekey="btnMergeCategoryResource1" />
            <asp:DropDownList ID="lstMergeCategory" runat="server" meta:resourcekey="lstMergeCategoryResource1" Enabled="False"></asp:DropDownList>
            <asp:Literal ID="lblMergeCategory" runat="server" Text="&lt;-- The resulting Category will have the name of this Category." meta:resourcekey="lblMergeCategoryResource1"></asp:Literal>
        </asp:View>
        <asp:View ID="viwAdminHome" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblAdminHome" runat="server" Text="Administration Home" meta:resourcekey="lblAdminHomeResource1"></asp:Literal></h2>
            <p>
                <asp:Literal ID="lblSystemStatusContent" runat="server" meta:resourcekey="lblSystemStatusContentResource1"></asp:Literal>
                <br /><br />
                <asp:Button ID="btnClearCache" runat="server" Text="Clear Cache" OnClick="btnClearCache_Click" meta:resourcekey="btnClearCacheResource1" ToolTip="Clears the Cache" />
            </p>
            <br /><br />
            <h3 class="separator"><asp:Literal ID="lblRestartApp" runat="server" Text="Restart Web Application" meta:resourcekey="lblRestartAppResource1"></asp:Literal></h3>
            <asp:Literal ID="lblRestartAppDescription" runat="server" Text="You can force a shutdown-and-restart cycle of the Web Application. You will be asked to confirm the restart twice. The Web Application will restart at the first request.&lt;br /&gt;&lt;b&gt;Warning&lt;/b&gt;: all the open sessions will be lost, and users may experience errors.&lt;br /&gt;&lt;b&gt;Note&lt;/b&gt;: the restart will affect only this web Application." meta:resourcekey="lblRestartAppDescriptionResource1"></asp:Literal>
            <br /><br />
            <div class="warning" style="padding: 10px;">
                <asp:Button ID="btnRestartApp" runat="server" Text="Restart Application" OnClick="btnRestartApp_Click" meta:resourcekey="btnRestartAppResource1" />
                <asp:Button ID="btnRestartAppCancel" runat="server" Text="Cancel" Visible="False" OnClick="btnRestartAppCancel_Click" meta:resourcekey="btnRestartAppCancelResource1" />
                <asp:Button ID="btnRestartAppConfirm" runat="server" Text="Confirm" Enabled="False" OnClick="btnRestartAppConfirm_Click" meta:resourcekey="btnRestartAppConfirmResource1" />
            </div>
        </asp:View>
        <asp:View ID="viwNavPaths" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblNavPaths" runat="server" Text="Navigation Paths" meta:resourcekey="lblNavPathsResource1"></asp:Literal></h2>
            <p><asp:Literal ID="lblNavPathsDescription" runat="server" Text="Manage the Navigation Paths for this Wiki." meta:resourcekey="lblNavPathsDescriptionResource1"></asp:Literal></p>
            <br />
            <asp:MultiView ID="mlvNavPaths" runat="server" ActiveViewIndex="0">
                <asp:View ID="viwNavPathsList" runat="server">
                    <asp:ListBox ID="lstNavPaths" runat="server" Height="200px" Width="600px" meta:resourcekey="lstNavPathsResource1"></asp:ListBox><br />
                    <asp:Button ID="btnDeleteNavPath" runat="server" Text="Delete" OnClick="btnDeleteNavPath_Click" meta:resourcekey="btnDeleteNavPathResource1" />
                    <asp:Button ID="btnEditNavPath" runat="server" Text="Edit" OnClick="btnEditNavPath_Click" meta:resourcekey="btnEditNavPathResource1" />
                    <asp:Button ID="btnNewNavPath" runat="server" Text="New" OnClick="btnNewNavPath_Click" meta:resourcekey="btnNewNavPathResource1" />
                    <asp:Label ID="lblNavPathResult" runat="server" meta:resourcekey="lblNavPathResultResource1"></asp:Label> 
                </asp:View>
                <asp:View ID="viwNewNavPath" runat="server">
                    <p><asp:Literal ID="lblNavPathName" runat="server" Text="Nav. Path Name" meta:resourcekey="lblNavPathNameResource1"></asp:Literal>
                    <asp:TextBox ID="txtNavPathName" runat="server" Width="250px" meta:resourcekey="txtNavPathNameResource1"></asp:TextBox></p>
                    <p><asp:Literal ID="lblNavPathProvider" runat="server" Text="Create in" meta:resourcekey="lblNavPathProviderResource1"></asp:Literal>
                    <asp:DropDownList ID="lstNavPathProvider" runat="server" meta:resourcekey="lstNavPathProviderResource1"></asp:DropDownList></p>
                    <asp:TextBox ID="txtNavPath" runat="server" Height="100px" TextMode="MultiLine" Width="500px" meta:resourcekey="txtNavPathResource1"></asp:TextBox><br />
                    <asp:Button ID="btnSaveNavPath" runat="server" Text="Save" meta:resourcekey="btnSaveNavPathResource1" OnClick="btnSaveNavPath_Click" />
                    <asp:Button ID="btnCancelNavPath" runat="server" Text="Cancel" meta:resourcekey="btnCancelNavPathResource1" OnClick="btnCancelNavPath_Click" />
                    <asp:Label ID="lblEditNavPathResult" runat="server" meta:resourcekey="lblEditNavPathResultResource1"></asp:Label>
                </asp:View> 
            </asp:MultiView>
        </asp:View>
        <asp:View ID="mlwProviders" runat="server">
            <h2 class="sectiontitle"><asp:Literal ID="lblProviders" runat="server" Text="Providers Management" meta:resourcekey="lblProvidersResource1"></asp:Literal></h2>
            <p><asp:Literal ID="lblProvidersDescription" runat="server" Text="Here you can manage the Providers installed in this Wiki." meta:resourcekey="lblProvidersDescriptionResource1"></asp:Literal></p>
            <br />
            <table>
                <tr>
                    <td valign="top">
                        <asp:ListBox ID="lstProviders" runat="server" Width="400px" Height="150px" AutoPostBack="True" OnSelectedIndexChanged="lstProviders_SelectedIndexChanged" meta:resourcekey="lstProvidersResource1"></asp:ListBox>
                        <br />
                        <asp:Button ID="btnConfigureProvider" runat="server" Text="Configure" OnClick="btnConfigureProvider_Click" meta:resourcekey="btnConfigureProviderResource1" />
                        <asp:Button ID="btnEnableProvider" runat="server" Text="Enable" OnClick="btnEnableProvider_Click" meta:resourcekey="btnEnableProviderResource1" />
                        <asp:Button ID="btnDisableProvider" runat="server" Text="Disable" OnClick="btnDisableProvider_Click" meta:resourcekey="btnDisableProviderResource1" />
                        <asp:Button ID="btnUnloadProvider" runat="server" Text="Unload" OnClick="btnUnloadProvider_Click" meta:resourcekey="btnUnloadProviderResource1" />
                        <asp:Label ID="lblProviderResult" runat="server" meta:resourcekey="lblProviderResultResource1"></asp:Label>
                    </td>
                    <td valign="top">
                        <asp:Panel ID="pnlProviderConfiguration" runat="server" Visible="False" meta:resourcekey="pnlProviderConfigurationResource1">
                            <p><asp:Literal ID="lblProviderConfiguration" runat="server" Text="Provider Configuration" meta:resourcekey="lblProviderConfigurationResource1"></asp:Literal></p>
                            <asp:TextBox ID="txtProviderConfiguration" runat="server" TextMode="MultiLine" Width="400px" Height="130px" meta:resourcekey="txtProviderConfigurationResource1"></asp:TextBox><br />
                            <asp:Button ID="btnSaveProviderConfiguration" runat="server" Text="Save" OnClick="btnSaveProviderConfiguration_Click" meta:resourcekey="btnSaveProviderConfigurationResource1" />
                            <asp:Button ID="btnCancelProviderConfiguration" runat="server" Text="Cancel" OnClick="btnCancelProviderConfiguration_Click" meta:resourcekey="btnCancelProviderConfigurationResource1" />
                        </asp:Panel>
                        <asp:Panel ID="pnlPoviderInfo" runat="server" meta:resourcekey="pnlPoviderInfoResource1">
                            <asp:Literal ID="lblProviderInfo" runat="server" meta:resourcekey="lblProviderInfoResource1"></asp:Literal>
                        </asp:Panel>
                    </td>
                </tr>
            </table>
            <br /><br />
            <h3 class="separator"><asp:Literal ID="lblDefaultProviders" runat="server" Text="Default Providers" meta:resourcekey="lblDefaultProvidersResource1"></asp:Literal></h3>
            <table>
                <tr>
                    <td style="width: 220px; vertical-align: bottom;">
                        <p><asp:Literal ID="lblDefaultPagesProvider" runat="server" Text="Default Pages Provider" meta:resourcekey="lblDefaultPagesProviderResource1"></asp:Literal></p>
                        <asp:DropDownList ID="lstDefaultPagesProvider" runat="server" Width="200px" meta:resourcekey="lstDefaultPagesProviderResource1"></asp:DropDownList>
                    </td>
                    <td style="width: 220px; vertical-align: bottom;">
                        <p><asp:Literal ID="lblDefaultUsersProvider" runat="server" Text="Default Users Provider" meta:resourcekey="lblDefaultUsersProviderResource1"></asp:Literal></p>
                        <asp:DropDownList ID="lstDefaultUsersProvider" runat="server" Width="200px" meta:resourcekey="lstDefaultUsersProviderResource1"></asp:DropDownList>
                    </td>
                    <td style="vertical-align: bottom;">
                        <asp:Button ID="btnSaveDefaultProviders" runat="server" Text="Save" ToolTip="Sets the selected Providers as default" OnClick="btnSaveDefaultProviders_Click" meta:resourcekey="btnSaveDefaultProvidersResource1" />
                        <asp:Button ID="btnCancelDefaultProviders" runat="server" Text="Cancel" ToolTip="Resets the Providers to the previous values" OnClick="btnCancelDefaultProviders_Click" meta:resourcekey="btnCancelDefaultProvidersResource1" />
                    </td>
                </tr>
            </table>
            <br /><br />
            <h3 class="separator"><asp:Literal ID="lblAddProviders" runat="server" Text="Add new Providers" meta:resourcekey="lblAddProvidersResource1"></asp:Literal></h3>
            <p><asp:Literal ID="lblAddProvidersDescription" runat="server" Text="Here you can upload DLL files containing providers, and eventually remove DLLs you don't use." meta:resourcekey="lblAddProvidersDescriptionResource1"></asp:Literal></p>
            <p><asp:Literal ID="lblAddProvidersNote" runat="server" Text="Removing a DLL won't disable the Providers it contains, but uploading a new DLL will automatically load the Providers it contains." meta:resourcekey="lblAddProvidersNoteResource1"></asp:Literal></p>
            <br />
            <table>
                <tr>
                    <td valign="top">
                        <asp:ListBox ID="lstDlls" runat="server" Width="300px" Height="100px" meta:resourcekey="lstDllsResource1"></asp:ListBox><br />
                        <asp:Button ID="btnRemoveDll" runat="server" Text="Remove" OnClick="btnRemoveDll_Click" meta:resourcekey="btnRemoveDllResource1" />
                    </td>
                    <td valign="top">
                        <asp:FileUpload ID="updDll" runat="server" Width="150px" size="40" meta:resourcekey="updDllResource1" /><br />
                        <asp:Button ID="btnUploadDll" runat="server" Text="Upload" OnClick="btnUploadDll_Click" meta:resourcekey="btnUploadDllResource1" />
                        <asp:Label ID="lblUploadDllResult" runat="server" meta:resourcekey="lblUploadDllResultResource1"></asp:Label>
                    </td>
                </tr>
            </table>
            <br /><br />
            <h3 class="separator"><asp:Literal ID="lblMoveData" runat="server" Text="Move Data" meta:resourcekey="lblMoveDataResource1"></asp:Literal></h3>
            <p><asp:Literal ID="lblMoveDataDescription" runat="server" Text="In this section you can move your data from a Data Provider to another." meta:resourcekey="lblMoveDataDescriptionResource1"></asp:Literal></p>
            <br />
            <p><asp:Literal ID="lblMovePagesP1" runat="server" Text="Move all Pages and associated data from" meta:resourcekey="lblMovePagesP1Resource1"></asp:Literal>
                <asp:DropDownList ID="lstPagesProviderFrom" runat="server" AutoPostBack="True" OnSelectedIndexChanged="lstPagesProviderFrom_SelectedIndexChanged" meta:resourcekey="lstPagesProviderFromResource1"></asp:DropDownList>
                <asp:Literal ID="lblMovePagesP2" runat="server" Text="to" meta:resourcekey="lblMovePagesP2Resource1"></asp:Literal>
                <asp:DropDownList ID="lstPagesProviderTo" runat="server" meta:resourcekey="lstPagesProviderToResource1"></asp:DropDownList>
                <asp:Button ID="btnMovePages" runat="server" Enabled="False" Text="Go" OnClick="btnMovePages_Click" meta:resourcekey="btnMovePagesResource1" />
            </p>
            <br />
            <p><asp:Literal ID="lblMoveUsersP1" runat="server" Text="Move all User Accounts from" meta:resourcekey="lblMoveUsersP1Resource1"></asp:Literal>
                <asp:DropDownList ID="lstUsersProviderFrom" runat="server" AutoPostBack="True" OnSelectedIndexChanged="lstUsersProviderFrom_SelectedIndexChanged" meta:resourcekey="lstUsersProviderFromResource1"></asp:DropDownList>
                <asp:Literal ID="lblMoveUsersP2" runat="server" Text="to" meta:resourcekey="lblMoveUsersP2Resource1"></asp:Literal>
                <asp:DropDownList ID="lstUsersProviderTo" runat="server" meta:resourcekey="lstUsersProviderToResource1"></asp:DropDownList>
                <asp:Button ID="btnMoveUsers" runat="server" Enabled="False" Text="Go" OnClick="btnMoveUsers_Click" meta:resourcekey="btnMoveUsersResource1" /><br />
                <span style="color: #FF0000;"><asp:Literal ID="lblMoveUsersWarning" runat="server" Text="Warning: the operation will reset the Password of all the moved Accounts!" meta:resourcekey="lblMoveUsersWarningResource1"></asp:Literal></span>
            </p>
        </asp:View>
    </asp:MultiView> 
    <br /><br /><br />
    
    <h2 class="separator">GNU General Public License</h2>
    <p><asp:Literal ID="lblGPL" runat="server" meta:resourcekey="lblGPLResource1" Text="This Program is released under the GNU General Public License. You cannot remove this statement."></asp:Literal><br />
    <a href="GPL.txt" target="_blank">View the GNU General Public License</a> or visit the <a class="externallink" href="http://www.gnu.org" target="_blank">GNU</a> website.</p>
   
    <!-- Confirmation --> 
    <script type="text/javascript">
    <!-- 
        if(document.getElementById("btnDeleteUser") != null)
            document.getElementById("btnDeleteUser").onclick = __ConfirmOperation;
        if(document.getElementById("btnDeletePage") != null)
            document.getElementById("btnDeletePage").onclick = __ConfirmOperation;
        if(document.getElementById("btnClearPageDiscussion") != null)
            document.getElementById("btnClearPageDiscussion").onclick = __ConfirmOperation;
        if(document.getElementById("btnDeleteAllBackups") != null)
            document.getElementById("btnDeleteAllBackups").onclick = __ConfirmOperation;
        if(document.getElementById("btnDeleteOlderBackups") != null)
            document.getElementById("btnDeleteOlderBackups").onclick = __ConfirmOperation;
        if(document.getElementById("btnRollback") != null)
            document.getElementById("btnRollback").onclick = __ConfirmOperation;
        if(document.getElementById("btnRenamePage") != null)
            document.getElementById("btnRenamePage").onclick = __ConfirmOperation;
        if(document.getElementById("btnDeleteSnippet") != null)
            document.getElementById("btnDeleteSnippet").onclick = __ConfirmOperation;
        if(document.getElementById("btnDeleteCategory") != null)
            document.getElementById("btnDeleteCategory").onclick = __ConfirmOperation;
        if(document.getElementById("btnMergeCategory") != null)
            document.getElementById("btnMergeCategory").onclick = __ConfirmOperation;
        if(document.getElementById("btnDeleteNavPath") != null)
            document.getElementById("btnDeleteNavPath").onclick = __ConfirmOperation;
        if(document.getElementById("lstLog_btnClearLog") != null)
            document.getElementById("lstLog_btnClearLog").onclick = __ConfirmOperation;
        if(document.getElementById("btnEnableProvider") != null)
            document.getElementById("btnEnableProvider").onclick = __ConfirmOperation;
        if(document.getElementById("btnDisableProvider") != null)
            document.getElementById("btnDisableProvider").onclick = __ConfirmOperation;
        if(document.getElementById("btnUnloadProvider") != null)
            document.getElementById("btnUnloadProvider").onclick = __ConfirmOperation;
        if(document.getElementById("btnRemoveDll") != null)
            document.getElementById("btnRemoveDll").onclick = __ConfirmOperation;
        if(document.getElementById("btnRestartAppConfirm") != null)
            document.getElementById("btnRestartAppConfirm").onclick = __ConfirmOperation;
        if(document.getElementById("btnMovePages") != null)
            document.getElementById("btnMovePages").onclick = __ConfirmOperation;
        if(document.getElementById("btnMoveUsers") != null)
            document.getElementById("btnMoveUsers").onclick = __ConfirmOperation;
            
        function __ConfirmOperation() {
            return window.confirm(__ConfirmOperationMessage);
        }

    // -->
    </script>
   
    <!-- Used to keep the session alive -->
    <iframe src="SessionRefresh.aspx" style="width: 1px; height: 1px; border: none;" scrolling="no"></iframe> 

</div>
</form>
</body>
</html>
