<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="ScrewTurn.Wiki.Login" Title="Untitled Page" Culture="auto" meta:resourcekey="PageResource1" UICulture="auto" EnableSessionState="True" %>
<%@ Register Assembly="WebValidates" Namespace="WebValidates" TagPrefix="cc1" %>

<asp:Content ID="CtnLogin" ContentPlaceHolderID="CphMaster" Runat="Server">

    <h1 class="pagetitle"><asp:Literal ID="lblTitle" runat="server" meta:resourcekey="lblTitleResource1" Text="Login"></asp:Literal></h1>
    <p><br />
        <asp:Literal ID="lblDescription" runat="server" meta:resourcekey="lblDescriptionResource1" Text="Here you can login to the wiki. You'll be able to edit and create pages. If you are an Administrator, you'll also be able to perform administration tasks.<br />Don't you have an account? You can <a href=&quot;Register.aspx&quot; title=&quot;Create a new Account&quot;>create one</a>."></asp:Literal>
        <asp:Label ID="lblResult" runat="server" meta:resourcekey="lblResultResource1"></asp:Label>
    </p>
    <br /><br /> 
    <asp:MultiView ID="mlvLogin" runat="server" ActiveViewIndex="1">
        <asp:View ID="viwLogout" runat="server">
            <asp:Literal ID="lblLogout" runat="server" Text="you are currently logged in. To logout, please click on the Logout button." meta:resourcekey="lblLogoutResource1"></asp:Literal>
            <br /><br />
            <asp:Button ID="btnLogout" runat="server" Text="Logout" meta:resourcekey="btnLogoutResource1" OnClick="btnLogout_Click" ToolTip="Click to Logout" />
        </asp:View>
        <asp:View ID="viwLogin" runat="server">
            <table width="400" cellpadding="0" cellspacing="4">
                <tr>
                    <td><p style="text-align: right;">
                        <asp:Literal ID="lblUsername" runat="server" meta:resourcekey="lblUsernameResource1" Text="Username"></asp:Literal>:</p></td>
                    <td><asp:TextBox ID="txtUsername" runat="server" Width="200px" meta:resourcekey="txtUsernameResource1" ToolTip="Type here your Username"></asp:TextBox></td>
                </tr> 
                <tr>
                    <td><p style="text-align: right;">
                        <asp:Literal ID="lblPassword" runat="server" meta:resourcekey="lblPasswordResource1" Text="Password"></asp:Literal>:</p></td>
                    <td>
                        <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" Width="200px" meta:resourcekey="txtPasswordResource1" ToolTip="Type here your Password"></asp:TextBox></td>
                </tr>
                <tr>
                    <td><p style="text-align: right;">
                        ֤:</p></td>
                    <td>
                        <cc1:SerialNumber ID="SerialNumber1" runat="server">
    </cc1:SerialNumber>&nbsp;&nbsp;<asp:TextBox ID="txtSerialNumber" style="ime-mode:disabled" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td>
                        <asp:CheckBox ID="chkRemember" runat="server" Text="Remember me" meta:resourcekey="chkRememberResource1" ToolTip="Check this if you want the system to remember you next time" Checked="True" /></td>
                </tr>
                <tr>
                    <td style="height: 24px">&nbsp;</td>
                    <td style="height: 24px">
                        <asp:Button ID="btnLogin" runat="server" Text="Login" meta:resourcekey="btnLoginResource1" OnClick="btnLogin_Click" ToolTip="Click to Login" />
                        <a href="<%= (!string.IsNullOrEmpty(System.Configuration.ConfigurationManager.AppSettings["UserLostPasswordRedirectPage"])) ? System.Configuration.ConfigurationManager.AppSettings["UserLostPasswordRedirectPage"] : "Login.aspx?PasswordReset=1" %>"><asp:Literal ID="lblLostPassword" runat="server"></asp:Literal></a>
                    </td>
                </tr>
            </table>
            
            <script type="text/javascript">
            <!--
                document.getElementById("<%= System.Configuration.ConfigurationManager.AppSettings["ASPNETRuntimeControlIDPrefix"] %>CphMaster_txtUsername").focus();
            // -->
            </script>
            
        </asp:View>
        <asp:View ID="viwResetPassword" runat="server">
            <h3 class="separator"><asp:Literal ID="lblResetPassword" runat="server" Text="Reset Password" meta:resourcekey="lblResetPasswordResource1"></asp:Literal></h3>
            <p><asp:Literal ID="lblResetPasswordInfo" runat="server" Text="If you forgot your Password, please insert your Username and Email address, then click on the Reset Password button.&lt;br /&gt;A new Password will be generated and sent to you by Email.&lt;br /&gt;&lt;b&gt;Note&lt;/b&gt;: Username and Email address must match with the ones saved in your Account." meta:resourcekey="lblResetPasswordInfoResource1"></asp:Literal></p>
            <br />
            <table width="400" cellpadding="0" cellspacing="4">
            <tr>
                <td>
                    <p style="text-align: right;"><asp:Literal runat="server" ID="lblUsernameReset" Text="Username" meta:resourcekey="lblUsernameResetResource1"></asp:Literal>:</p>
                </td>
                <td><asp:TextBox ID="txtUsernameReset" runat="server" Width="200px" meta:resourcekey="txtUsernameResetResource1"></asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    <p style="text-align: right;"><asp:Literal runat="server" ID="lblEmailReset" Text="Email" meta:resourcekey="lblEmailResetResource1"></asp:Literal>:</p>
                </td>
                <td><asp:TextBox ID="txtEmailReset" runat="server" Width="200px" meta:resourcekey="txtEmailResetResource1"></asp:TextBox></td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td><asp:Button ID="btnResetPassword" runat="server" Text="Reset Password" OnClick="btnResetPassword_Click" meta:resourcekey="btnResetPasswordResource1" /></td>
            </tr>
        </table>
        </asp:View>
    </asp:MultiView>
   
</asp:Content>

